Bug 1208814 - tigervnc-1.4.2-1 - ctrl-space sends ctrl-2 to remote application
Summary: tigervnc-1.4.2-1 - ctrl-space sends ctrl-2 to remote application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1210694
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-03 09:30 UTC by Mike Bull
Modified: 2015-06-24 15:55 UTC (History)
4 users (show)

Fixed In Version: tigervnc-1.4.3-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-02 18:04:01 UTC


Attachments (Terms of Use)

Description Mike Bull 2015-04-03 09:30:34 UTC
Description of problem:

tigervnc-1.4.2-1 is passing ctrl-2 in place of ctrl-space.  As a result, emacs sessions are unusable on remote host.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.open vnc session to remote host
2.start xev on remote host
3.press ctrl-space
4.observe control-2 keypress received by xev
5.press ctrl-space in remote emacs window
6.observe "C-2" received by emacs at bottom of window 

Actual results:
Pressing ctrl-space in vnc session sends ctrl-2 to remote applications (e.g xev, emacs)

Expected results:
Pressing ctrl-space in vnc session should send ctrl-space to remote applications.

Additional info:
Downgrade to tigervnc-1.3.1-11 in fixes the problem.

Google search finds reported incompatibility between some versions of fltk and tigervnc:
https://github.com/TigerVNC/tigervnc/issues/8

Combination observed to be broken in fedora 21:
fltk-1.3.2-7.fc21.x86_64
tigervnc-1.4.2-1.fc21

Comment 1 Tim Waugh 2015-04-10 11:44:32 UTC
Will need a rebuild after bug #1210694 (new fltk version in F-21) is resolved.

Comment 2 Tim Waugh 2015-04-16 14:12:34 UTC
Please try these newly-built packages:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=628722 (fltk)
  http://koji.fedoraproject.org/koji/buildinfo?buildID=628817 (tigervnc)

Comment 3 Gregorio Gervasio 2015-04-18 17:37:06 UTC
Those packages fixed it for me.  Thanks.

Comment 4 Fedora Update System 2015-04-20 12:04:48 UTC
tigervnc-1.4.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tigervnc-1.4.3-3.fc21

Comment 5 Fedora Update System 2015-04-21 18:38:56 UTC
Package tigervnc-1.4.3-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.4.3-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6445/tigervnc-1.4.3-3.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-05-02 18:04:01 UTC
tigervnc-1.4.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-15 08:27:08 UTC
tigervnc-1.4.3-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tigervnc-1.4.3-7.fc22

Comment 8 Fedora Update System 2015-06-24 15:55:42 UTC
tigervnc-1.4.3-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.